function MPEG_playback_w_compare(orig_movie, decoded_movie)
% plays back the orig and the encoded-decoded movie side by side

load(orig_movie); % a 'frames' struct is expected to be inside
load(decoded_movie); % a 'decoded_stream' struct is expected to be inside
figure('units','normalized','outerposition',[0 0 1 1])
for n = 1:length(decoded_stream)
    subplot(1,2,1)
    imshow( imresize(  frames(n).cdata , 2) );
    subplot(1,2,2)
    imshow( imresize( decoded_stream(n).frame_data ,2 ) );
    drawnow
end
